MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000029SoldatOtherpublic2011-09-16 23:072013-12-13 21:18
ReporterMr 
Assigned ToShoozza 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.6.0 
Target VersionFixed in Version1.6.1 
Summary0000029: Unnecessary file C:\logwmemory.bin created on startup
DescriptionSoldat creates a file in the root of C: named "logwmemory.bin". I believe that this is part of the anti-cheat protection, however TSearch, which this is meant to be a protection against, still works on Soldat even though the file has been created.

I suggest removing the creation of the named file as it does not provide any protection against TSearch anymore.
Steps To ReproduceStart Soldat.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001123)
Mr (developer)
2011-09-16 23:27

Note that on Vista/7, if UAC and its VirtualStore feature is enabled (this is the default setting) and Soldat is not started as administrator, the file is created at %localappdata%\VirtualStore\logwmemory.bin
(0001124)
xmRipper (reporter)
2011-09-17 03:39

Uh I was always wondering where the hell this file come from...
(0002075)
Bistoufly (updater)
2013-12-13 21:18

verified 1.6.6

- Issue History
Date Modified Username Field Change
2011-09-16 23:07 Mr New Issue
2011-09-16 23:27 Mr Note Added: 0001123
2011-09-17 03:39 xmRipper Note Added: 0001124
2011-09-17 17:57 Shoozza Status new => resolved
2011-09-17 17:57 Shoozza Fixed in Version => 1.6.1
2011-09-17 17:57 Shoozza Resolution open => fixed
2011-09-17 17:57 Shoozza Assigned To => Shoozza
2013-12-13 21:18 Bistoufly Note Added: 0002075
2013-12-13 21:18 Bistoufly Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker